import { Tool } from "langchain/tools"

export class SolanaGetWalletAddressTool extends Tool {
  name = "solana_get_wallet_address"
  description = `Get the wallet address of the agent`

  constructor(solanaKit) {
    super()
    this.solanaKit = solanaKit
  }

  async _call(_input) {
    return this.solanaKit.wallet_address.toString()
  }
}
